Index: trunk/src/ProcessManagement/ProcessManagement/Forms/ZMenu/FrmMenu.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Forms/ZMenu/FrmMenu.cs	(revision 5)
+++ trunk/src/ProcessManagement/ProcessManagement/Forms/ZMenu/FrmMenu.cs	(revision 6)
@@ -138,6 +138,7 @@
         private static readonly ILog logger = LogManager.GetLogger(System.Reflection.MethodBase.GetCurrentMethod().DeclaringType);
         #endregion
 
+        #region 定数
         #region メニュータブと位置を関連付けるEnum
         /// <summary>
         /// メニュータブと位置を関連付けるEnum
@@ -229,10 +230,6 @@
             /// </summary>
             MentenanceMenu3,
             /// <summary>
-            /// 22:参考資料
-            /// </summary>
-            ReferenceData,
-            /// <summary>
             /// 23:資材管理
             /// </summary>
             Materials,
@@ -256,7 +253,6 @@
                                                                                     {"tabPage10", 10},
                                                                                     {"tabPage11", 11},
                                                                                     {"tabPage12", 12},
-                                                                                    {"tabPage13", 13},
                                                                                     {"tabPage14", 14},
                                                                                     {"tabPage15", 15},
                                                                                     {"tabPage16", 16},
@@ -279,7 +275,7 @@
             BranchNumber,
             FromName,
             ToName,
-            MessageTitile,
+            MessageTitle,
             WritingDate,
             Writer,
         }
@@ -289,7 +285,7 @@
             BranchNumber,
             FromName,
             ToName,
-            MessageTitile,
+            MessageTitle,
             MessageContent,
             WritingDate,
             Writer,
@@ -423,6 +419,7 @@
             ApprovalPerson4,
         }
         #endregion
+        #endregion
 
         #region 変数
         /// <summary>
@@ -824,10 +821,60 @@
         /// <param name="e"></param>
         private void btnReLoad_Click(object sender, EventArgs e)
         {
-            // ソートクリア
-            ClearGridSort();
-            // 再表示
-            DisplayGridList();
+            string wrkname = tabMenu.SelectedTab.Name;
+            int Tabcount = MenuTabName[wrkname];
+            switch (Tabcount)
+            {
+                case (int)FrmMenuTabNameEnum.MessageBoard:
+                    // 掲示板データ表示
+                    DispMessageBoard((int)FrmMenuTabNameEnum.MessageBoard);
+                    break;
+                case (int)FrmMenuTabNameEnum.BusinessMessage:
+                    // 業務連絡掲示板表示
+                    DispMessageBoard((int)FrmMenuTabNameEnum.BusinessMessage);
+                    break;
+                case (int)FrmMenuTabNameEnum.Tenders:
+                    // 入札案件一覧情報表示
+                    DispTenders();
+                    break;
+                case (int)FrmMenuTabNameEnum.BudgetUpProjects:
+                    // 予算取り案件一覧情報表示
+                    DispBudgetUpProjects();
+                    break;
+                case (int)FrmMenuTabNameEnum.SalesInProjects:
+                    // 工事案件一覧情報表示
+                    DispSalesInProjects();
+                    break;
+                case (int)FrmMenuTabNameEnum.ConstructionProjects:
+                    // 受注状況一覧表示
+                    DispConstructionProjects();
+                    btnDataCopyE.Visible = true;
+                    break;
+                case (int)FrmMenuTabNameEnum.NonOrders:
+                    // 非受注一覧
+                    DispNonOrders();
+                    break;
+                case (int)FrmMenuTabNameEnum.CompletionOfConstruction:
+                    // 完了工事一覧
+                    DispCompletionOfConstruction();
+                    break;
+                case (int)FrmMenuTabNameEnum.ActionSchedule:
+                    // 行動予定一覧
+                    DispActionList();
+                    break;
+                case (int)FrmMenuTabNameEnum.StaffAssignment:
+                    // 人員配置一覧
+                    DispStaffAssignment();
+                    break;
+                case (int)FrmMenuTabNameEnum.SalesGraph:
+                    // 売上グラフ
+                    DispSalesGraph();
+                    break;
+                case (int)FrmMenuTabNameEnum.DocumentApproval:
+                    // 書類承認
+                    DispDocumentApproval();
+                    break;
+            }
         }
         #endregion
 
@@ -1294,7 +1341,7 @@
         /// </summary>
         /// <param name="sender"></param>
         /// <param name="e"></param>
-        private void dgvStaffAssignment_CellTitileOther(DataGridViewCellPaintingEventArgs e, int TitileLine)
+        private void dgvStaffAssignment_CellTitleOther(DataGridViewCellPaintingEventArgs e, int TitleLine)
         {
             try
             {
@@ -1303,10 +1350,10 @@
                 int iColumnCnt = e.ColumnIndex;
                 int iStartCnt = 0;
                 int iEndedCnt = 0;
-                int titilePos = 0;
+                int titlePos = 0;
 
                 // 0行目
-                if (TitileLine == s_StaffAssignMonthLine)
+                if (TitleLine == s_StaffAssignMonthLine)
                 {
                     for (int i = 0; i < m_StaffAssignmentMonthLastLine.Length - 1; i++)
                     {
@@ -1324,7 +1371,7 @@
                     //    iEndedCnt = m_StaffAssignmentMonthLastLine[m_StaffAssignmentMonthLastLine.Length - 1];
                     //}
                 }
-                else if (TitileLine == s_StaffAssignDaysLine)
+                else if (TitleLine == s_StaffAssignDaysLine)
                 {
                     for (int i = 0; i < m_StaffAssignmentDaySplitLine.Length - 1; i++)
                     {
@@ -1343,17 +1390,17 @@
                     //}
                 }
                 // タイトル文字位置退避
-                titilePos = iStartCnt;
+                titlePos = iStartCnt;
 
                 // 先頭位置の取得
-                string strText = CommonMotions.cnvString(dgv[titilePos, TitileLine].Value);
-                Rectangle rect = dgv.GetCellDisplayRectangle(iStartCnt, TitileLine, false);
+                string strText = CommonMotions.cnvString(dgv[titlePos, TitleLine].Value);
+                Rectangle rect = dgv.GetCellDisplayRectangle(iStartCnt, TitleLine, false);
                 if (rect == Rectangle.Empty)
                 {
                     // 表示されている先頭位置を探す
                     for (int i = iStartCnt; i < iEndedCnt; i++)
                     {
-                        rect = dgv.GetCellDisplayRectangle(i, TitileLine, false);
+                        rect = dgv.GetCellDisplayRectangle(i, TitleLine, false);
                         if (rect != Rectangle.Empty)
                         {
                             iStartCnt = i;
@@ -1362,13 +1409,13 @@
                     }
                 }
                 // 最終位置の取得
-                Rectangle Endrect = dgv.GetCellDisplayRectangle(iEndedCnt, TitileLine, false);
+                Rectangle Endrect = dgv.GetCellDisplayRectangle(iEndedCnt, TitleLine, false);
                 if (rect == Rectangle.Empty)
                 {
                     // 表示されている最終位置を探す
                     for (int i = iEndedCnt; iStartCnt < i; i--)
                     {
-                        rect = dgv.GetCellDisplayRectangle(i, TitileLine, false);
+                        rect = dgv.GetCellDisplayRectangle(i, TitleLine, false);
                         if (rect != Rectangle.Empty)
                         {
                             iEndedCnt = i;
@@ -1376,12 +1423,12 @@
                         }
                     }
                 }
-                if (TitileLine == s_StaffAssignMonthLine)
+                if (TitleLine == s_StaffAssignMonthLine)
                 {
                     // タイトル文字幅に足りなければクリア
                     if ((iEndedCnt - iStartCnt) < 10) strText = string.Empty;
                 }
-                else if (TitileLine == s_StaffAssignDaysLine)
+                else if (TitleLine == s_StaffAssignDaysLine)
                 {
                     // タイトル文字幅に足りなければクリア
                     if ((iEndedCnt - iStartCnt) < 5) strText = string.Empty;
@@ -1388,7 +1435,7 @@
                 }
                 
                 // 描画幅セット
-                rect.Width += (iEndedCnt - iStartCnt) * dgv[iStartCnt, TitileLine].Size.Width;
+                rect.Width += (iEndedCnt - iStartCnt) * dgv[iStartCnt, TitleLine].Size.Width;
                 // 背景・タイトル描画
                 rect.X--;
                 rect.Height--;
@@ -1398,7 +1445,7 @@
                                         strText,
                                         e.CellStyle.Font, rect, e.CellStyle.ForeColor,
                                         TextFormatFlags.HorizontalCenter | TextFormatFlags.VerticalCenter);
-                //Console.WriteLine(string.Format("dgvStaffAssignment_CellTitileOther 位置：X-{0} Y-{1}", e.ColumnIndex, e.RowIndex));
+                //Console.WriteLine(string.Format("dgvStaffAssignment_CellTitleOther 位置：X-{0} Y-{1}", e.ColumnIndex, e.RowIndex));
             }
             catch (Exception ex)
             {
@@ -1413,7 +1460,7 @@
         /// </summary>
         /// <param name="sender"></param>
         /// <param name="e"></param>
-        private void dgvStaffAssignment_CellTitile(DataGridViewCellPaintingEventArgs e, int TitileLine)
+        private void dgvStaffAssignment_CellTitle(DataGridViewCellPaintingEventArgs e, int TitleLine)
         {
             try
             {
@@ -1424,7 +1471,7 @@
                 for (int i = e.ColumnIndex; i < dgv.ColumnCount; i++)
                 {
                     DataGridViewCell cell = null;
-                    cell = dgv[i, TitileLine];
+                    cell = dgv[i, TitleLine];
 
                     // 一つ右のセルの幅を足す
                     rect.Width += cell.Size.Width;
@@ -1434,7 +1481,7 @@
 
                     // セルに文字が入っていれば抜ける
                     DataGridViewCell Nextcell = null;
-                    Nextcell = dgv[(i + 1), TitileLine];
+                    Nextcell = dgv[(i + 1), TitleLine];
                     if (!CommonMotions.chkObjectIsNull(Nextcell.Value)) break;
                 }
                 // 背景・タイトルの描画
@@ -1447,7 +1494,7 @@
                                         e.FormattedValue.ToString(),
                                         e.CellStyle.Font, rect, e.CellStyle.ForeColor,
                                         TextFormatFlags.HorizontalCenter | TextFormatFlags.VerticalCenter);
-                //Console.WriteLine(string.Format("dgvStaffAssignment_CellTitile 位置：X-{0} Y-{1}", e.ColumnIndex, e.RowIndex));
+                //Console.WriteLine(string.Format("dgvStaffAssignment_CellTitle 位置：X-{0} Y-{1}", e.ColumnIndex, e.RowIndex));
             }
             catch (Exception ex)
             {
@@ -1500,11 +1547,11 @@
                         if (!CommonMotions.chkObjectIsNull(dgv[e.ColumnIndex, e.RowIndex].Value))
                         {
                             // タイトル描画
-                            dgvStaffAssignment_CellTitile(e, s_StaffAssignMonthLine);
+                            dgvStaffAssignment_CellTitle(e, s_StaffAssignMonthLine);
                         }
                         else
                         {
-                            dgvStaffAssignment_CellTitileOther(e, s_StaffAssignMonthLine);
+                            dgvStaffAssignment_CellTitleOther(e, s_StaffAssignMonthLine);
                         }
                         // イベントハンドラ内で処理を完了したこと通知
                         e.Handled = true;
@@ -1526,11 +1573,11 @@
                         if (!CommonMotions.chkObjectIsNull(dgv[e.ColumnIndex, e.RowIndex].Value))
                         {
                             // タイトル描画
-                            dgvStaffAssignment_CellTitile(e, s_StaffAssignDaysLine);
+                            dgvStaffAssignment_CellTitle(e, s_StaffAssignDaysLine);
                         }
                         else
                         {
-                            dgvStaffAssignment_CellTitileOther(e, s_StaffAssignDaysLine);
+                            dgvStaffAssignment_CellTitleOther(e, s_StaffAssignDaysLine);
                         }
                         // イベントハンドラ内で処理を完了したこと通知
                         e.Handled = true;
@@ -1616,8 +1663,29 @@
         #endregion
         #endregion
 
-        #region 売上グラフ
+        #region 売上グラフ描画禁止フラグ
         /// <summary>
+        /// 売上グラフ描画禁止フラグ
+        /// </summary>
+        private bool bGraphNotDrow = false;
+        #endregion
+
+        #region 売上グラフ期数選択
+        /// <summary>
+        /// 売上グラフ期数選択
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void SalseGraphNum_ValueChanged(object sender, EventArgs e)
+        {
+            if (bGraphNotDrow) return;
+
+            DispSalesGraph(false);
+        }
+        #endregion
+
+        #region 売上グラフ再描画処理
+        /// <summary>
         /// 売上グラフ再描画処理
         /// </summary>
         /// <param name="sender"></param>
@@ -1624,17 +1692,19 @@
         /// <param name="e"></param>
         private void btnReLoadSalesGraph_Click(object sender, EventArgs e)
         {
+            if (bGraphNotDrow) return;
+
             DispSalesGraph(false);
         }
         #endregion
 
-        #region 書類承認
+        #region 承認一覧
         /// <summary>
-        /// 書類承認グリッドクリック時処理
+        /// 承認一覧グリッドクリック時処理
         /// </summary>
         /// <param name="sender"></param>
         /// <param name="e"></param>
-        private void dgvDocumentApproval_CellDoubleClick(object sender, DataGridViewCellEventArgs e)
+        private void dgvApproval_CellDoubleClick(object sender, DataGridViewCellEventArgs e)
         {
             bool bExecFlg = false;
             try
@@ -2851,16 +2921,34 @@
         }
         #endregion
 
-        #region 売上グラフ期数選択
+        #region 完了工事営業期数選択
         /// <summary>
-        /// 売上グラフ期数選択
+        /// 完了工事営業期数選択
         /// </summary>
         /// <param name="sender"></param>
         /// <param name="e"></param>
-        private void SalseGraphNum_ValueChanged(object sender, EventArgs e)
+        private void numUDCompletion_ValueChanged(object sender, EventArgs e)
         {
-            DispSalesGraph(false);
+            // 初期時は処理しない
+            if (m_bInitFlg) return;
+            // データ表示
+            DispCompletionOfConstruction();
         }
         #endregion
+
+        #region 非受注工事営業期数選択
+        /// <summary>
+        /// 非受注工事営業期数選択
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void numUDNonOrder_ValueChanged(object sender, EventArgs e)
+        {
+            // 初期時は処理しない
+            if (m_bInitFlg) return;
+            // データ表示
+            DispNonOrders();
+        }
+        #endregion
     }
 }
